import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as Storyname from "./content.stories";

<Meta of={Storyname} name="Docs" />

## Teaser Content

The default variation of this element keeps the column flow direction until 1439px. The segmentation of picture element and text element is 1:1.

<Canvas of={Storyname.Default}></Canvas>

## Early row

The early row variant of this element keeps the column flow direction only until 767px. So from 768px the image will be placed beside the text content.
To use the variation add the modifier class `ux-iws-teaser-content--early-row` to the main element and make sure to use the class `ux-u-margin-m-top-0` instead of `ux-u-margin-xl-top-0` (as shown in the source code) for the headline element.

## Segmentation 1-2

There is a also a variant to make the picture use one third of
the full width and the text content two thirds. This is supposed to be used with
a wrapper of sorts (e.g. with a shadow), so keep in mind that the text content div
comes with a padding.
